Subject: bug#23425: master branch: `message' wrongly corrupts ' to curly quote.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 18:32:40 +0300

> Date: Tue, 3 May 2016 20:03:30 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > > And why is it something that users shouldn't routinely do?
> 
> > Because the theory behind this change is that everyone will want that,
> > certainly after they get used to it a little.
> 
> That seems a very strange attitude from an Emacs developer - that one
> developer's personal preferences should be imposed on all Emacs users
> without the possibility of disabling by configuration.
> 
> It is quite clear from posts in emacs-devel and bug-gnu-emacs over the
> last year or so that NOT EVERYBODY wants these curly quote changes.  Far
> from it.  Just like not everybody wants light text on a dark background,
> or (thinking back to Emacs 21) not everybody wants fringes on their GUI
> screen.  Users were complaining for years about the unconfigurable
> fringes, until Emacs 22 was released.

This is unfair on so many levels, that I simply lost any motivation to
continue this discussion.

> > If that theory is wrong, we will have to change much more than just
> > document that variable or teach users to use it more.
> 
> That theory _is_ wrong, certainly amongst Emacs developers.  Even in this
> bug thread, two other people have expressed negative sentiments about
> this matter.

So we have 3 people against that.  Is it really enough?

> > > Surely it should be a configuration variable.  Some people, like me,
> > > don't like being lied to by a computer program.
> 
> > You are not being lied to.  Just think of ` and ' as yet another
> > format specifier character, not unlike %.
> 
> They're not - they're literal characters.

So is %.

> >   emacs -Q
> >   M-: (setq text-quoting-style 'grave) RET
> >   M-: (message "`this'") RET => `this'
> 
> > What am I missing?
> 
> That in that scenario, (message "`this'") ; with curly quotes
> gets converted to "`this'" ; with ASCII quotes.  This is not wanted.

Not sure why.  But anyway, the change such as what you suggest is too
pervasive to install on the emacs-25 branch, unless we want to delay
the release.  Too bad these issues didn't come up in time.